com.corticon.services.dataobject

## Interface ICcDataObject

-     public interface ICcDataObject

  Interface ICcDataObject represents a single entity instance in working memory. Service Call-outs can use this interface to retrieve information from the entity instance, to set attribute values or to add/remove associations with other entity instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addAssociation(java.lang.String astrAssocRole, ICcDataObject aEntity)` Add the provided Entity instance to an multi-valued association
    `void` | `clearAssociations(java.lang.String astrAssocRole)` Remove all associations with this Entity instance under the given role name
    `java.util.Set<java.lang.String>` | `getAssociationRoleNames()` Get a set of Association Role names for this Entity instance
    `java.util.Set<ICcDataObject>` | `getAssociations(java.lang.String astrAssocRole)` Get a set of all Entity instances associated with this Entity instance under the given role name
    `java.lang.String` | `getAttributeDataType(java.lang.String astrAttrName)` Get the internal data type of a given attribute
    `java.util.Set<java.lang.String>` | `getAttributeNames()` Get a set of Attribute names for this Entity instance
    `java.lang.Object` | `getAttributeValue(java.lang.String astrAttrName)` Get the value of the given attribute of this Entity instance
    `java.lang.String` | `getEntityClassName()` Get the Entity class name for this Entity instance
    `java.lang.String` | `getEntityUID()` Get the internal rule engine unique identify for this Entity instance
    `java.lang.Object` | `getExternalBusinessObject()` Get a handle to the external Java business object passed into the rule engine which corresponds to this Entity instance.
    `java.lang.String` | `getXMLClassName()` Get the XML Class name for this Entity instance which is used for XML messaging
    `boolean` | `removeAssociation(java.lang.String astrAssocRole, ICcDataObject aEntity)` Remove the provided Entity instance from an existing association
    `boolean` | `setAssociation(java.lang.String astrAssocRole, ICcDataObject aEntity)` Replace all existing associations of the given role name with a new association to the provided Entity instance
    `boolean` | `setAssociation(java.lang.String astrAssocRole, java.util.Set<ICcDataObject> aEntitySet)` Replace all existing associations of the given role name with new associations to the provided Entity instance set
    `boolean` | `setAttributeValue(java.lang.String astrAttrName, java.lang.Object aobjValue)` Set the value of the given attribute of this Entity instance

- - ### Method Detail

    - #### setAttributeValue

          boolean setAttributeValue(java.lang.String astrAttrName,
                                    java.lang.Object aobjValue)

      Set the value of the given attribute of this Entity instance
      Parameters:
        `astrAttrName` - - the name of the attribute
        `aobjValue` - - the value to set the attribute to
      Returns:
        true if set was successful, false otherwise

    - #### getAttributeValue

          java.lang.Object getAttributeValue(java.lang.String astrAttrName)

      Get the value of the given attribute of this Entity instance
      Parameters:
        `astrAttrName` - - the name of the attribute to get
      Returns:
        the current value of the attribute or null if attribute does not exist or has no value

    - #### setAssociation

          boolean setAssociation(java.lang.String astrAssocRole,
                                 ICcDataObject aEntity)

      Replace all existing associations of the given role name with a new association to the provided Entity instance
      Parameters:
        `astrAssocRole` - - the name of the association role
        `aEntity` - - the Entity instance to associate with
      Returns:
        true if set was successful, false otherwise

    - #### setAssociation

          boolean setAssociation(java.lang.String astrAssocRole,
                                 java.util.Set<ICcDataObject> aEntitySet)

      Replace all existing associations of the given role name with new associations to the provided Entity instance set
      Parameters:
        `astrAssocRole` - - the name of the association role
        `aEntitySet` - - the set of Entity instances to associate with
      Returns:
        true if set was successful, false otherwise

    - #### addAssociation

          boolean addAssociation(java.lang.String astrAssocRole,
                                 ICcDataObject aEntity)

      Add the provided Entity instance to an multi-valued association
      Parameters:
        `astrAssocRole` - - the name of the association role
        `aEntity` - - the Entity instance to add to the association
      Returns:
        true if add was successful, false otherwise

    - #### removeAssociation

          boolean removeAssociation(java.lang.String astrAssocRole,
                                    ICcDataObject aEntity)

      Remove the provided Entity instance from an existing association
      Parameters:
        `astrAssocRole` - - the name of the association role
        `aEntity` - - the Entity instance to remove from the association
      Returns:
        true if add was successful, false otherwise

    - #### getAssociations

          java.util.Set<ICcDataObject> getAssociations(java.lang.String astrAssocRole)

      Get a set of all Entity instances associated with this Entity instance under the given role name
      Parameters:
        `astrAssocRole` - - the name of the association role
      Returns:
        Set of ICcDataObject instances

    - #### clearAssociations

          void clearAssociations(java.lang.String astrAssocRole)

      Remove all associations with this Entity instance under the given role name
      Parameters:
        `astrAssocRole` - - the name of the association role

    - #### getEntityClassName

          java.lang.String getEntityClassName()

      Get the Entity class name for this Entity instance
      Returns:
        String

    - #### getXMLClassName

          java.lang.String getXMLClassName()

      Get the XML Class name for this Entity instance which is used for XML messaging
      Returns:
        String

    - #### getExternalBusinessObject

          java.lang.Object getExternalBusinessObject()

      Get a handle to the external Java business object passed into the rule engine which corresponds to this Entity instance. Only works when JOM messaging is used.
      Returns:
        the external Java business object if one exists, or null if XML messaging is used

    - #### getEntityUID

          java.lang.String getEntityUID()

      Get the internal rule engine unique identify for this Entity instance
      Returns:
        String

    - #### getAttributeNames

          java.util.Set<java.lang.String> getAttributeNames()

      Get a set of Attribute names for this Entity instance
      Returns:
        a String set

    - #### getAttributeDataType

          java.lang.String getAttributeDataType(java.lang.String astrAttrName)

      Get the internal data type of a given attribute
      Parameters:
        `astrAttrName` - - the attribute name
      Returns:
        the data type of the attribute (or null if it is invalid)

    - #### getAssociationRoleNames

          java.util.Set<java.lang.String> getAssociationRoleNames()

      Get a set of Association Role names for this Entity instance
      Returns:
        a String set

Copyright © 2005-2019 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.